SMAPObservations-class {SMAP} | R Documentation

## Class "SMAPObservations": A class to manage microarray observations for the SMAP package

### Description

Holds observed microarray intensity ratios and clone annotations for the SMAP package.

### Objects from the Class

Objects can be created by calls of the form `new("SMAPObservations", value, chromosome, startPosition, endPosition, name, reporterId)`. You can also use the convenience function `SMAPObservations`.

### Slots

`value`:
  Object of class `"numeric"` Microarray intensity ratios.
`chromosome`:
  Object of class `"character"` Associated chromosomes for the observations.
`startPosition`:
  Object of class `"numeric"` Associated start positions for the observations.
`endPosition`:
  Object of class `"numeric"` Associated end positions for the observations.
`reporterId`:
  Object of class `"character"` Identifiers of the observations, e.g., probe ids.
`name`:
  Object of class `"character"` An identifier of the observation set.
`noObservations`:
  Object of class `"numeric"` The number of observations in the set.

### Methods

value
  `signature(object = "SMAPObservations")`: Returns the values of the observations.
chromosome
  `signature(object = "SMAPObservations")`: Returns the chromosome annotations of the observations.
startPosition
  `signature(object = "SMAPObservations")`: Returns the start positions of the observations.
endPosition
  `signature(object = "SMAPObservations")`: Returns the end positions of the observations.
reporterId
  `signature(object = "SMAPObservations")`: Returns the identifiers of the observations.
name
  `signature(object = "SMAPObservations")`: Returns the name of the observation set.
noObservations
  `signature(object = "SMAPObservations")`: Returns the number of observations in the set.
initialize
  `signature(.Object = "SMAPObservations")`: Creates an instance.
plot
  `signature(x = "SMAPObservations", y = "missing")`: A plot method for the observations.
[
  `signature(x = "SMAPPObservations")`: Creates a new object of class SMAPObservations with extracted elements as specified by the indices provided.

### Author(s)

Robin Andersson, robin.andersson@lcb.uu.se

### References

Andersson, R., Bruder, C. E. G., Piotrowski, A., Menzel, U., Nord, H., Sandgren, J., Hvidsten, T. R., Diaz de Stahl, T., Dumanski, J. P., Komorowski, J., A Segmental Maximum A Posteriori Approach to Array-CGH Copy Number Profiling, submitted

### See Also

`smap`, `SMAPObservations`

[Package SMAP version 1.6.0 Index]